org.apache.cassandra.locator

## Class YamlFileNetworkTopologySnitch.Datacenter

- java.lang.Object
- - org.apache.cassandra.locator.YamlFileNetworkTopologySnitch.Datacenter

Enclosing class:
  YamlFileNetworkTopologySnitch

    public static class YamlFileNetworkTopologySnitch.Datacenter
    extends java.lang.Object

Data center object type for the YAML topology configuration.

### Field Summary

Fields
`java.lang.String` `dc_name`
`java.util.List<YamlFileNetworkTopologySnitch.Rack>` `racks`

### Constructor Summary

Constructors
Constructor and Description
`YamlFileNetworkTopologySnitch.Datacenter()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dc_name

    public java.lang.String dc_name

#### racks

    public java.util.List<YamlFileNetworkTopologySnitch.Rack> racks

### Constructor Detail

#### YamlFileNetworkTopologySnitch.Datacenter

    public YamlFileNetworkTopologySnitch.Datacenter()